# プリセット

以下は、Starship用にコミュニティに提供された構成プリセットのコレクションです。 共有するプリセットがある場合は、このファイルを更新して[PR](https://github.com/starship/starship/edit/master/docs/presets/README.md)を送信してください！ 😊

プリセットの使い方を確認するには画像をクリックしてください。

## [Nerd Font Symbols](./nerd-font.md)

このプリセットはそれぞれのモジュールで記号がNerd Fontの記号に変更されます。

[![Nerd Font Symbolsプリセットのスクリーンショット](/presets/img/nerd-font-symbols.png "Nerd Font Symbolsプリセットを表示するにはクリックしてください")](./nerd-font)

## [No Nerd Fonts](./no-nerd-font.md)

このプリセットは一部のモジュールで使われるシンボルを変更して、Nerd Font シンボルをどこにも使わないようにします。

::: tip

このプリセットは [Starship の将来のリリース](https://github.com/starship/starship/pull/3544) でデフォルトのプリセットになります。

:::

[No Nerd Font プリセットを表示するにはクリックしてください。](./no-nerd-font)

## [Bracketed Segments](./bracketed-segments.md)

このプリセットは付属のモジュール全てのフォーマットを変更し、デフォルトのStarshipの表示("via", "on", etc.)から、それぞれの情報を括弧で区分けするように変更します。

[![Bracketed Segmentsプリセットのスクリーンショット](/presets/img/bracketed-segments.png "Bracketed Segmentsプリセットを表示するにはクリックしてください")](./bracketed-segments)

## [Plain Text Symbols](./plain-text.md)

このプリセットはそれぞれのモジュールで記号をテキストに変更します。 Unicodeにアクセスできない場合に最適です。

[![Plain Text Symbolsプリセットのスクリーンショット](/presets/img/plain-text-symbols.png "Plain Text Symbolsプリセットを表示するにはクリックしてください")](./plain-text)

## [No Runtime Versions](./no-runtimes.md)

このプリセットは言語ランタイムのバージョンを非表示にします。 コンテナまたは仮想環境で作業している場合は、これはあなたのためのものです。

[![Hide Runtime Versionsプリセットのスクリーンショット](/presets/img/no-runtime-versions.png "No Runtime Versionsプリセットを表示するにはクリックしてください")](./no-runtimes)

## [No Empty Icons](./no-empty-icons.md)

ツールセットが見つからない場合、このプリセットはアイコンを表示しません。

[![Empty Icons プリセットのスクリーンショット](/presets/img/no-empty-icons.png "No Runtime Versionsプリセットを表示するにはクリックしてください")](./no-empty-icons.md)

## [Pure Prompt](./pure-preset.md)

このプリセットは、[Pure](https://github.com/sindresorhus/pure)の外観と振る舞いをエミュレートします。

[![Pureプリセットのスクリーンショット](/presets/img/pure-preset.png "Pure Promptプリセットを表示するにはクリックしてください")](./pure-preset)

## [Pastel Powerline](./pastel-powerline.md)

このプリセットは[M365Princess](https://github.com/JanDeDobbeleer/oh-my-posh/blob/main/themes/M365Princess.omp.json)にインスパイアされています。 また、starshipでパス置換がどのように機能するかを示しています。

[![Pastel Powerlineプリセットのスクリーンショット](/presets/img/pastel-powerline.png "Pure Promptプリセットを表示するにはクリックしてください")](./pastel-powerline)

## [Tokyo Night](./tokyo-night.md)

このプリセットは[tokyo-night-vscode-theme](https://github.com/enkia/tokyo-night-vscode-theme)を参考にしています。

[![Tokyo Night プリセットのスクリーンショット](/presets/img/tokyo-night.png "Tokyo Night プリセットを表示するにはクリックしてください")](./tokyo-night)

## [Gruvbox Rainbow](./gruvbox-rainbow.md)

このプリセットは [Pastel Powerline](./pastel-powerline.md) と [Tokyo Night](./tokyo-night.md) に強くインスパイアされています。

[![Gruvbox Rainbow プリセットのスクリーンショット](/presets/img/gruvbox-rainbow.png "Gruvbox Rainbow プリセットを表示するにはクリックしてください")](./gruvbox-rainbow)

## [Jetpack](./jetpack.md)

[geometry](https://github.com/geometry-zsh/geometry) と [spaceship](https://github.com/spaceship-prompt/spaceship-prompt) のプロンプトにインスパイアされた擬似ミニマリストプリセットです。

[![Jetpack プリセットのスクリーンショット](/presets/img/jetpack.png "Jetpack プリセットを表示するにはクリックしてください")](./jetpack)

## [Catppuccin Powerline](./catppuccin-powerline.md)

This preset is a minimally modified version of [Gruvbox Rainbow](./gruvbox-rainbow.md) using the [Catppuccin](https://github.com/catppuccin/catppuccin) theme palette.

[![Screenshot of Catppuccin Powerline preset](/presets/img/catppuccin-powerline.png "Click to view Catppuccin Powerline preset")](./catppuccin-powerline)
